Package lxml :: Module doctestcompare :: Class LXMLOutputChecker

[frames] | no frames]

# Class LXMLOutputChecker

source code

    doctest.OutputChecker --+
                            |
                           LXMLOutputChecker

Known Subclasses:
  - LHTMLOutputChecker

Instance Methods

get_default_parser(self) | source code

check_output(self, want, got, optionflags) Return True iff the actual output from an example (`got`) matches the expected output (`want`). | source code

get_parser(self, want, got, optionflags) | source code

compare_docs(self, want, got) | source code

text_compare(self, want, got, strip) | source code

tag_compare(self, want, got) | source code

output_difference(self, example, got, optionflags) Return a string describing the differences between the expected output for a given example (`example`) and the actual output (`got`). | source code

html_empty_tag(self, el, html=True) | source code

format_doc(self, doc, html, indent, prefix=`'````'`) | source code

format_text(self, text, strip=True) | source code

format_tag(self, el) | source code

format_end_tag(self, el) | source code

collect_diff(self, want, got, html, indent) | source code

collect_diff_tag(self, want, got) | source code

collect_diff_end_tag(self, want, got) | source code

collect_diff_text(self, want, got, strip=True) | source code

Class Variables
| empty_tags = ``(``'``param``'``,` `'``img``'``,` `'``area``'``,` `'``br``'``,` `'``basefont``'``,` `'``input``...``

Method Details

### check_output(self, want, got, optionflags)

source code

Return True iff the actual output from an example (`got`) matches the expected output (`want`). These strings are always considered to match if they are identical; but depending on what option flags the test runner is using, several non-exact match types are also possible. See the documentation for `TestRunner` for more information about option flags.

Overrides: doctest.OutputChecker.check_output
  (inherited documentation)

### output_difference(self, example, got, optionflags)

source code

Return a string describing the differences between the expected output for a given example (`example`) and the actual output (`got`). `optionflags` is the set of option flags used to compare `want` and `got`.

Overrides: doctest.OutputChecker.output_difference
  (inherited documentation)

Class Variable Details

### empty_tags

Value:

      ('param',
       'img',
       'area',
       'br',
       'basefont',
       'input',
       'base',
       'meta',
      ...